/**
 * Basic landing
 */
.page-template-basic-landing{

    #footer{
        background-color: $color__white;

        div.wpforms-container-full .wpforms-form input[type=email]{
            background: #F1F4F6;
        }
    }

    .btn--text,
    p a{
        font-weight: 500;
        text-decoration: underline;
        transition: .5s ease;

        &:hover{
            opacity: .8;
        }
    }

    .btn--primary{
        box-shadow: 0px 32px 26px -18px rgba(66, 133, 244, 0.25);
        transition: .5s ease;

        &:hover{
            background: $color__titles;
        }

        &.background-color__titles:hover{
            background: $color__main;
        }
    }

    h2{
        font-size: 2.5rem;
        letter-spacing: -2px;
        font-weight: 600;
    }

    h1,h2{
        line-height: 1.2;
    }

    .pretitle{
        font-size: 1.375rem;
        font-weight: 600;
        font-size: 1.125rem;
        font-family: $font__secondary;
    }

    .home__main-banner{
        padding-top: 8rem;
        position: relative;

        .container-fluid{
            position: relative;
        }

        h1{
            font-size: 4.5rem;
            letter-spacing: -2px;
        }

        p{
            line-height: 1.6;
        }
    }

    .banner-desc{
        color: #425466;
    }

    #home__cta{
        padding: 90px 0;
    }

    #page-content{
        padding: 4.8rem 0;
    }

    .normal-section{
        &+.normal-section{
            margin-top: 4.6875rem;
        }
    }

    .section-code{
        h5{
            font-weight: 600;
            margin-top: 2rem;
        }

        h5+.hcb_wrap{
            margin-top: 1rem;
        }
    }

    pre{
        display: inline-block;
        font-size: .9375rem;
        color: $color__white;
        background-color: #4A4A4A;
        border-radius: 4px;
        padding: 4px 8px;

        &+p{
            display: inline-block;
        }
    }

    li::marker{
        color: $color__titles;
        font-size: 1.125rem;
        font-weight: 600;
    }

    ol{
        padding: 0;
    }

    .hcb_wrap pre, .hcb_wrap pre code{
        border-radius: 8px;
    }

    .hcb_wrap code, .hcb_wrap span{
        line-height: 1.8;
    }

    .token.constant, .token.deleted, .token.important, .token.property, .token.symbol, .token.tag{
        color: #FFD8A8;
    }

    .token.attr-name, .token.builtin, .token.char, .token.class-name, .token.inserted, .token.selector{
        color: #FFA94D;
    }

    .code__custom{
            .token.attr-name, .token.builtin, .token.char, .token.class-name, .token.inserted, .token.selector,
            .token.constant, .token.deleted, .token.important, .token.property, .token.symbol, .token.tag,
            .token.punctuation,
            pre,
            pre code{
            color: rgba(#868E96, .8);
        }
    }

    .hcb_wrap .hcb-clipboard,
    .hcb_wrap .hcb-clipboard.-done{
        width: 2rem;
        height: 2rem;
        background: none;

        &:before{
            content: "\f0c5";
            font-family: "Font Awesome 5 Free";
            color: #fff;
            position: relative;
        }
    }

    .hcb_wrap .hcb-clipboard.-done:before{
        content: "\f058";
        right: initial;
        bottom: initial;
    }

}
